Loading...
Searching...
No Matches
Opm::gpuistl::detail::is_a_well_operator< T > Class Template Reference

The is_a_well_operator class tries to guess if the operator is a well type operator. More...

`#include <has_function.hpp>`

## Static Public Attributes

static constexpr bool | value = std::is_same_v<decltype(test<T>(0)), std::true_type>

## Detailed Description

template<typename T>
class Opm::gpuistl::detail::is_a_well_operator< T >

The is_a_well_operator class tries to guess if the operator is a well type operator.

Note
  This is mainly done in the solver adapter to detect incompatible runtime arguments. When the GPU linear solve paths supports wells, this class can be removed.

The documentation for this class was generated from the following file:

- opm/simulators/linalg/gpuistl/detail/has_function.hpp